#include "led.h"
#include "delay.h"
#include "sys.h"
#include "lcd.h"

#include "FreeRTOS.h"
#include "task.h"
#include "queue.h"

unsigned char buff[]="I Love You STM32";


void Sys_Init(void);
void vLED1Task( void *pvParameters );
void vLED2Task( void *pvParameters );
void vLCDTask(void *pvParameters );



void PrvSetUpHardware(void);





int main(void)
{	
		    	 //ʱʼ	  
	Sys_Init();
	
	PrvSetUpHardware();

	xTaskCreate( vLED1Task, "LED1", 128, NULL, 1, NULL ); 
	
	xTaskCreate( vLED2Task, "LED2", 128, NULL, 2, NULL ); 
	
	xTaskCreate( vLCDTask, "LCD", 200, NULL, 3, NULL );
	
  vTaskStartScheduler();
  for(;;);
  
}





void Sys_Init(void)
{
  delay_init();
}
//Ӳʼȫ
void PrvSetUpHardware(void)
{
  LED_Init();		  	//ʼLEDӵӲӿ
	LCD_Init();
}


//Ƶ
void vLED1Task( void *pvParameters )  
{  
  for( ;; )  
  {  
    LED0=0;  
    vTaskDelay(1000);  
    LED0=1;  
    vTaskDelay(1000);
		//vTaskDelay(10);
  }  
}


void vLED2Task( void *pvParameters )
{
   for( ;; )  
  {  
    LED1=0;  
    vTaskDelay(500);  
    LED1=1;  
    vTaskDelay(500);
		//vTaskDelay(10);
  } 
}

void vLCDTask(void *pvParameters )
{
 
  for(;;)
  {
	  LCD_ShowString(0,0,210,24,24,buff);
	  vTaskDelay(10);
	}

}

